Bug 150315 - CAN-2005-0760 Accessing memory outside of image during decoding of TIFF
CAN-2005-0760 Accessing memory outside of image during decoding of TIFF
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ImageMagick (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
impact=low,public=20040311,source=ven...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 11:31 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 05:07:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch for this issue. (608 bytes, patch)
2005-03-04 11:33 EST, Josh Bressers
no flags Details | Diff
Demo image for this issue. (292.27 KB, application/octet-stream)
2005-03-04 11:35 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2005-03-04 11:31:34 EST
ImageMagick has a problem where the tiff decoder access memory out of bounds,
leading to a segmentation fault.

* fixed in 6.0.0
Comment 1 Josh Bressers 2005-03-04 11:32:31 EST
This issue should also affect RHEL2.1
Comment 2 Josh Bressers 2005-03-04 11:33:47 EST
Created attachment 111667 [details]
Proposed patch for this issue.
Comment 3 Josh Bressers 2005-03-04 11:35:22 EST
Created attachment 111668 [details]
Demo image for this issue.
Comment 4 Matthias Clasen 2005-03-17 16:47:09 EST
This is covered by RHSA-2005:070-09
Comment 5 Mark J. Cox (Product Security) 2005-03-23 05:07:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-070.html

Note You need to log in before you can comment on or make changes to this bug.